using Avalonia.Controls;
using Avalonia.Interactivity;
using Avalonia.Markup.Xaml.MarkupExtensions;
using System.IO;

namespace AvaloniaApplication2
{
    // 
    public struct Countries
    {
        public string name; //  
        public string capital; // 
        public string form; //  
        public string continent; // 
        public string religions; // 
        public bool isNATO; //    
    }
    public partial class MainWindow : Window
    {
        public MainWindow()
        {
            InitializeComponent();
           // cbContinent.SelectedIndex = 0;
        }

        //   Click    
        private void WriteFile(object sender, RoutedEventArgs e)
        {
            Countries country = new Countries(); //   

            //   
            country.name = tbName.Text; //      
            country.capital = tbCapital.Text; //     

            //    ,   ,    
            if (rbM.IsChecked == true) country.form = "";
            if (rbK.IsChecked == true) country.form = "";
            if (rbD.IsChecked == true) country.form = "";

            //   ,      
            if (cbNATO.IsChecked == true) country.isNATO = true;
            else country.isNATO = false;

            //         ,      (    0)
            switch (cbContinent.SelectedIndex)
            {
                case 1:
                    country.continent = "";
                    break;
                case 2:
                    country.continent = "";
                    break;
                case 3:
                    country.continent = "";
                    break;
            }

            
            string religions = "";  //        

            //       (          Ctrl)
            foreach (TextBlock item in lbReligions.SelectedItems)
            {
                religions += religions + item.Text + ", "; //      
            }
            country.religions = religions;

            //   
            using (StreamWriter sw = new StreamWriter("users.csv",true,System.Text.Encoding.UTF8))
            {
                sw.WriteLine(country.name + ";" + country.capital + ";" + country.continent + ";" + country.form + ";" + country.religions + ";" + country.isNATO);
                ShowMessage.Text = " ";
            }
        }       
    }
}